Bug 1286013 - CVE-2015-0860 dpkg: stack overflows and out of bounds read [epel-all]
CVE-2015-0860 dpkg: stack overflows and out of bounds read [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: dpkg (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-0860
  Show dependency treegraph
 
Reported: 2015-11-27 03:57 EST by Martin Prpič
Modified: 2016-12-13 13:20 EST (History)
3 users (show)

See Also:
Fixed In Version: dpkg-1.17.27-1.el7 dpkg-1.16.18-2.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-12 16:51:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-11-27 03:57:46 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2015-11-27 03:57:53 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1286011,1286013

# Description of your update
notes=Security fix for CVE-2015-0860

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1286011,1286013
Comment 2 Fedora Update System 2016-11-25 17:42:39 EST
dpkg-1.17.27-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a0a16db403
Comment 3 Fedora Update System 2016-11-25 17:43:27 EST
dpkg-1.16.18-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4e37be4ce3
Comment 4 Fedora Update System 2016-11-27 03:48:16 EST
dpkg-1.16.18-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4e37be4ce3
Comment 5 Fedora Update System 2016-11-27 11:25:33 EST
dpkg-1.17.27-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a0a16db403
Comment 6 Fedora Update System 2016-12-12 16:51:20 EST
dpkg-1.17.27-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-12-13 13:20:52 EST
dpkg-1.16.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.